ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.logaggregation, class: ExtendedLogMetaRequest, class: ExtendedLogMetaRequestBuilder

Package org.apache.hadoop.yarn.logaggregation

# Class ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder

java.lang.Object
org.apache.hadoop.yarn.logaggregation.ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder

Enclosing class:
  ExtendedLogMetaRequest

public static class ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtendedLogMetaRequestBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExtendedLogMetaRequest`
  `build()`
  `boolean`
  `isUserSet()`
  `ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder`
  `setAppId(String applicationId)`
  `ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder`
  `setContainerId(String container)`
  `ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder`
  `setFileName(String file)`
  `ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder`
  `setFileSize(Set<String> fileSizes)`
  `ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder`
  `setModificationTime(Set<String> modificationTimes)`
  `ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder`
  `setNodeId(String node)`
  `ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder`
  `setUser(String userName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExtendedLogMetaRequestBuilder

    public ExtendedLogMetaRequestBuilder()

- ## Method Details

  - ### setUser

    public ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder setUser(String userName)

  - ### setAppId

    public ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder setAppId(String applicationId)

  - ### setContainerId

    public ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder setContainerId(String container)

  - ### setNodeId

    public ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder setNodeId(String node)

  - ### setFileName

    public ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder setFileName(String file)

  - ### setFileSize

    public ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder setFileSize(Set<String> fileSizes)

  - ### setModificationTime

    public ExtendedLogMetaRequest.ExtendedLogMetaRequestBuilder setModificationTime(Set<String> modificationTimes)

  - ### isUserSet

    public boolean isUserSet()

  - ### build

    public ExtendedLogMetaRequest build()